> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete a single data slice by its unique identifier.

## Request Body

| Field             | Type           | Description                                                                |
|-------------------|----------------|----------------------------------------------------------------------------|
| `dataslice_id`    | `str`        | The unique identifier of the data slice to delete.                        |

### Response

Returns a confirmation message of the successful deletion and any associated data.

```json
{
  "message": "Data slice deleted successfully",
  "data": {
    // Details of deletion outcome
  }
}
```



## OpenAPI

````yaml /deasy-openapi-stainless.yml delete /dataslice/delete
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /dataslice/delete:
    delete:
      tags:
        - Data Slices
      summary: Delete
      description: >-
        Delete a single data slice by its unique identifier.


        ## Request Body


        | Field             | Type           |
        Description                                                               
        |

        |-------------------|----------------|----------------------------------------------------------------------------|

        | `dataslice_id`    | `str`        | The unique identifier of the data
        slice to delete.                        |


        ### Response


        Returns a confirmation message of the successful deletion and any
        associated data.


        ```json

        {
          "message": "Data slice deleted successfully",
          "data": {
            // Details of deletion outcome
          }
        }

        ```
      operationId: delete_dataslice_route_dataslice_delete_delete
      parameters:
        - name: dataslice_id
          in: query
          required: true
          schema:
            type: string
            title: Dataslice Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteDatasliceResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            data_slice = client.data_slice.delete(
                dataslice_id="dataslice_id",
            )
            print(data_slice.message)
        - lang: JavaScript
          source: >-
            import UnstructuredClient from 'unstructured-sdk';


            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });


            const dataSlice = await client.dataSlice.delete({ dataslice_id:
            'dataslice_id' });


            console.log(dataSlice.message);
components:
  schemas:
    DeleteDatasliceResponse:
      properties:
        message:
          type: string
          title: Message
        data:
          type: object
          title: Data
          default: {}
      type: object
      required:
        - message
      title: DeleteDatasliceResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````